- Home
- API Enriched
- Virtual
- ml
- GET API Endpoints Schema Updates.
GET API Endpoints Schema Updates.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/http_loadbalancers/example/api_inventory/api_endpoints/get_schema_updates';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"api_endpoints_filter":[{"method":"ANY","path":"example"}],"name":"example","namespace":"example","query_type":"API_INVENTORY_SCHEMA_FULL_RESPONSE"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/http_loadbalancers/example/api_inventory/api_endpoints/get_schema_updates \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "api_endpoints_filter": [ { "method": "ANY", "path": "example" } ], "name": "example", "namespace": "example", "query_type": "API_INVENTORY_SCHEMA_FULL_RESPONSE" }'GET list of schema pairs, current and updated, for each endpoint in the request or all pending changes if empty list is provided. NOTE: any API endpoint defined in user swagger files should be ignored DEPRECATED. USE virtual host custom API GetAPIEndpointsSchemaUpdates.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace The namespace of the HTTP Loadbalancer for the current request.
Name The name of the HTTP Loadbalancer for the current request.
Request Bodyrequired
Section titled “Request Bodyrequired”Request shape for GET API Endpoints Schema Updates.
object
The list of discovered API endpoint to GET schema for. NOTE: if empty, then the all API endpoints with schema changes would be returned.
API operation according to OpenAPI specification.
object
An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.
The name of the HTTP Loadbalancer for the current request.
The namespace of the HTTP Loadbalancer for the current request.
Responses
Section titled “Responses”A successful response.
Response shape for GET API Endpoints Schema Updates.
object
The list of discovered API endpoints with current schemas.
API endpoint and its schema.
object
object
An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.
The schema of the API endpoint Required: YES.
The list of API Inventory API endpoints with updated schemas.
API endpoint and its schema.
object
object
An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.
The schema of the API endpoint Required: YES.
Example
{ "api_endpoints_current_schemas": [ { "api_operation": { "method": "ANY" } } ], "api_endpoints_updated_schemas": [ { "api_operation": { "method": "ANY" } } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example